Bug 220970 - openldap spec file assumes _localstatedir set to /var
openldap spec file assumes _localstatedir set to /var
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-29 14:35 EST by Hal Finkel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: openldap-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 04:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hal Finkel 2006-12-29 14:35:01 EST
The spec file for openldap-2.3.27-4 contains:
rmdir $RPM_BUILD_ROOT/var/openldap-slurp $RPM_BUILD_ROOT/var/openldap-data

This will cause the build to fail unless _localstatedir is set to /var, which is
not true on all systems. Although I believe this was the default on FC4, it
seems that as of FC5 the default value for this variable is %{_prefix}/var

This line should probably read something like:
rmdir $RPM_BUILD_ROOT%{_localstatedir}/openldap-slurp
$RPM_BUILD_ROOT%{_localstatedir}/openldap-data
Comment 1 Jan Safranek 2007-05-18 04:12:51 EDT
openldap-2.3.30-2.fc6 has been pushed for fc6, which should resolve this issue.
 If these problems are still present in this version, then please make note of
it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.